Bug 1565362 - SSA fails if disk has empty partitions in the beginning
Summary: SSA fails if disk has empty partitions in the beginning
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: SmartState Analysis
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: GA
: 5.8.4
Assignee: Hui Song
QA Contact: Satyajit Bulage
URL:
Whiteboard: smartstate:ec2:instance
Depends On: 1527182
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-09 22:21 UTC by Satoe Imaishi
Modified: 2018-06-25 14:19 UTC (History)
6 users (show)

Fixed In Version: 5.8.4.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1527182
Environment:
Last Closed: 2018-06-25 14:19:14 UTC
Category: ---
Cloudforms Team: CFME Core


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1972 None None None 2018-06-25 14:19:41 UTC

Comment 2 CFME Bot 2018-04-09 22:31:28 UTC
New commit detected on ManageIQ/manageiq-gems-pending/fine:

https://github.com/ManageIQ/manageiq-gems-pending/commit/5bf2750534f8bbe82375b100fc341f1212dd507c
commit 5bf2750534f8bbe82375b100fc341f1212dd507c
Author:     Richard Oliveri <oliveri.richard.github@gmail.com>
AuthorDate: Tue Jan 16 09:58:07 2018 -0500
Commit:     Richard Oliveri <oliveri.richard.github@gmail.com>
CommitDate: Tue Jan 16 09:58:07 2018 -0500

    Merge pull request #48 from hsong-rh/begins_with_empty_partitions

    Fixes file system probing error when parsing empty partitions
    (cherry picked from commit 3943f65c8aa89d6ece3858a67c22e8889964a8ec)

    https://bugzilla.redhat.com/show_bug.cgi?id=1565362

 .codeclimate.yml | 8 +-
 lib/gems/pending/VolumeManager/LVM/scanner.rb | 75 +-
 lib/gems/pending/fs/MiqFS/FsProbe.rb | 19 +-
 lib/gems/pending/fs/MiqFS/modules/AUFSProbe.rb | 12 +-
 lib/gems/pending/fs/MiqFS/modules/Ext3Probe.rb | 25 +-
 lib/gems/pending/fs/MiqFS/modules/Ext4Probe.rb | 25 +-
 lib/gems/pending/fs/MiqFS/modules/Fat32Probe.rb | 12 +-
 lib/gems/pending/fs/MiqFS/modules/HFSProbe.rb | 3 +-
 lib/gems/pending/fs/MiqFS/modules/Iso9660Probe.rb | 2 +-
 lib/gems/pending/fs/MiqFS/modules/NTFSProbe.rb | 6 +-
 lib/gems/pending/fs/MiqFS/modules/ReFSProbe.rb | 7 +-
 lib/gems/pending/fs/MiqFS/modules/RealFSProbe.rb | 2 +-
 lib/gems/pending/fs/MiqFS/modules/Reiser4Probe.rb | 4 +-
 lib/gems/pending/fs/MiqFS/modules/ReiserFSProbe.rb | 12 +-
 lib/gems/pending/fs/MiqFS/modules/UnionFSProbe.rb | 2 +-
 lib/gems/pending/fs/MiqFS/modules/XFSProbe.rb | 27 +-
 lib/gems/pending/fs/MiqFS/modules/ZFSProbe.rb | 3 +-
 17 files changed, 133 insertions(+), 111 deletions(-)

Comment 9 Satyajit Bulage 2018-05-21 07:59:13 UTC
Able to Perform SSA, created 2 partitions and formatted with xfs:

1. mounted those partitions and SSA works fine.
2. unmounted and SSA works fine.

Verified Version: 5.8.4.2.20180424224202_be9b69f

Comment 11 errata-xmlrpc 2018-06-25 14:19:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1972


Note You need to log in before you can comment on or make changes to this bug.